## emacs-cond-let 0.1.1

=== debian/changelog ===
emacs-cond-let (0.1.1-2) unstable; urgency=medium

  * Update package description
    - Move the ALPHA release warning to the end.
    - Fix typo in description.
  * Add missing copyright holders in d/copyright
    - To address comments by FTP master reviewers.
  * Drop "Rules-Requires-Root: no" from d/control
    - This becomes the default since dpkg 1.22.13 and no longer needed.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 07 Oct 2025 10:52:25 -0700

emacs-cond-let (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1114809)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 09 Sep 2025 23:58:13 -0700
