## emacs-cond-let 0.2.0

=== debian/changelog ===
emacs-cond-let (0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 04 Dec 2025 18:32:49 -0800
