=== debian/control ===
Source: emacs-cond-let
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.7.2
Homepage: https://github.com/tarsius/cond-let
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-cond-let
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-cond-let.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-cond-let
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Additional and improved binding conditionals
 Emacs provides the binding conditionals `if-let', `if-let*',
 `when-let', `when-let*', `and-let*' and `while-let'.
 .
 This package implements the missing `and-let' and `while-let*',
 and the original `cond-let', `cond-let*', `and$' and `and>'.
 .
 This package additionally provides more consistent and improved
 implementations of the binding conditionals already provided by
 Emacs.  Merely loading this library does not shadow the built-in
 implementations; this can optionally be done in the context of
 an individual library, as described below.
 .
 This is an ALPHA release!
 Breaking changes are possible!
