## emacs-cond-let 0.2.1

=== debian/changelog ===
emacs-cond-let (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 02 Jan 2026 18:47:39 -0800
