## emacs-cond-let 0.2.2

=== debian/changelog ===
emacs-cond-let (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update Debian copyright year in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 06 Feb 2026 16:43:56 -0800
